#
# Conditional build:
%bcond_with	tests		# build with tests
%define		__spec_clean_body	%{nil}
%define		_enable_debug_packages	0
Summary:	KDE Frameworks - common directories
Name:		kf5-dirs
Version:	5.116.0
Release:	1
License:	LGPL
Group:		X11/Libraries
URL:		http://www.kde.org/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE Frameworks - common directories.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d \
	$RPM_BUILD_ROOT%{_includedir}/KF5 \
	$RPM_BUILD_ROOT%{_datadir}/kdevappwizard/templates \
	$RPM_BUILD_ROOT%{_datadir}/kf5/{kcookiejar,widgets/pics,locale} \
	$RPM_BUILD_ROOT%{_datadir}/kio/servicemenus \
	$RPM_BUILD_ROOT%{_datadir}/{kservicetypes5,knotifications5,kservices5/{ServiceMenus,kded,kontact,searchproviders},kxmlgui5} \
	$RPM_BUILD_ROOT%{_datadir}/kpackage/{kcms,genericqml} \
	$RPM_BUILD_ROOT%{_datadir}/ksmserver \
	$RPM_BUILD_ROOT%{_datadir}/kstyle/themes \
	$RPM_BUILD_ROOT%{_datadir}/plasma/{look-and-feel,packages,plasmoids,shells} \
	$RPM_BUILD_ROOT%{_datadir}/remoteview \
	$RPM_BUILD_ROOT%{_datadir}/solid/actions \
	$RPM_BUILD_ROOT%{_datadir}/solid/devices \
	$RPM_BUILD_ROOT%{_datadir}/emoticons/Glass \
	$RPM_BUILD_ROOT%{_libexecdir}/kf5 \
	$RPM_BUILD_ROOT%{_libdir}/kf5 \
	$RPM_BUILD_ROOT%{_libdir}/qt5/plugins/kf5/{kded,parts,propertiesdialog,urifilters,org.kde.kwindowsystem.platforms} \
	$RPM_BUILD_ROOT%{_libdir}/qt5/plugins/{kcms,org.kde.kdecoration2,script} \
	$RPM_BUILD_ROOT%{_libdir}/qt5/qml/org/kde/{kconfig,kio,draganddrop,kcoreaddons,kquickcontrols,kquickcontrolsaddons,kwindowsystem,private/kquickcontrols,runnermodel} \
	$RPM_BUILD_ROOT%{_libdir}/qt5/qml/org/kde/plasma/private \
	$RPM_BUILD_ROOT%{_libdir}/qt5/qml/QtQuick/Controls/Styles \
	$RPM_BUILD_ROOT%{_libdir}/qt5/platformqml/touch/org/kde/plasma \
	$RPM_BUILD_ROOT%{_docdir}/HTML/{af,ca,cs,da,de,el,en,eo,es,et,fr,gl,he,hu,it,ja,ko,lt,nds,nl,nn,pl,pt,pt_BR,ro,ru,sl,sr,sr@latin,sv,tr,uk,wa,xh} \
	$RPM_BUILD_ROOT%{_sysconfdir}/xdg/ui


%clean
cd $RPM_BUILD_ROOT
check_filesystem_dirs() {
	RPMFILE=%{name}-%{version}-%{release}.%{_target_cpu}.rpm
	TMPFILE=$(mktemp)
	# NOTE:	we must exclude from check all existing dirs belonging to FHS
	find | sed -e 's|^\.||g' -e 's|^$||g' | LC_ALL=C sort | grep -v $TMPFILE | grep -E -v '^/(usr|usr/include|usr/lib|usr/lib64|usr/libx32|usr/libexec|usr/share|usr/share/doc|usr/share/applications|usr/share/icons|usr/lib/qt5|usr/lib64/qt5|usr/libx32/qt5|usr/lib/qt5/imports|usr/lib64/qt5/imports|usr/libx32/qt5/imports|usr/lib/qt5/imports/org|usr/lib64/qt5/imports/org|usr/libx32/qt5/imports/org|usr/lib/qt5/plugins|usr/lib64/qt5/plugins|usr/libx32/qt5/plugins|usr/lib/qt5/qml|usr/lib64/qt5/qml|usr/libx32/qt5/qml|usr/lib/qt5/qml/QtQuick|usr/lib64/qt5/qml/QtQuick|usr/libx32/qt5/qml/QtQuick|etc|etc/xdg)$' > $TMPFILE

	# find finds also '.', so use option -B for diff
	if rpm -qpl %{_rpmdir}/$RPMFILE | grep -v '^/$' | LC_ALL=C sort | diff -uB $TMPFILE -; then
		rm -rf $RPM_BUILD_ROOT
	else
		echo -e "\nNot so good, some directories are not included in package\n"
		exit 1
	fi
	rm -f $TMPFILE
}
check_filesystem_dirs

%files
%defattr(644,root,root,755)
%dir %{_includedir}/KF5
%dir %{_datadir}/emoticons
%dir %{_datadir}/emoticons/Glass
%dir %{_datadir}/kdevappwizard
%dir %{_datadir}/kdevappwizard/templates
%dir %{_datadir}/kf5
%dir %{_datadir}/kf5/kcookiejar
%dir %{_datadir}/kf5/locale
%dir %{_datadir}/kf5/widgets
%dir %{_datadir}/kf5/widgets/pics
%dir %{_datadir}/kio
%dir %{_datadir}/kio/servicemenus
%dir %{_datadir}/kservicetypes5
%dir %{_datadir}/kservices5
%dir %{_datadir}/kservices5/ServiceMenus
%dir %{_datadir}/kservices5/kded
%dir %{_datadir}/kservices5/kontact
%dir %{_datadir}/kservices5/searchproviders
%dir %{_datadir}/knotifications5
%dir %{_datadir}/kxmlgui5
%dir %{_datadir}/kpackage
%dir %{_datadir}/kpackage/genericqml
%dir %{_datadir}/kpackage/kcms
%dir %{_datadir}/ksmserver
%dir %{_datadir}/kstyle
%dir %{_datadir}/kstyle/themes
%dir %{_datadir}/plasma
%dir %{_datadir}/plasma/look-and-feel
%dir %{_datadir}/plasma/packages
%dir %{_datadir}/plasma/plasmoids
%dir %{_datadir}/plasma/shells
%dir %{_datadir}/remoteview
%dir %{_datadir}/solid
%dir %{_datadir}/solid/actions
%dir %{_datadir}/solid/devices
%dir %{_libexecdir}/kf5
%dir %{_libdir}/kf5
%dir %{_libdir}/qt5/plugins/org.kde.kdecoration2
%dir %{_libdir}/qt5/plugins/script
%dir %{_libdir}/qt5/plugins/kcms
%dir %{_libdir}/qt5/plugins/kf5
%dir %{_libdir}/qt5/plugins/kf5/kded
%dir %{_libdir}/qt5/plugins/kf5/org.kde.kwindowsystem.platforms
%dir %{_libdir}/qt5/plugins/kf5/parts
%dir %{_libdir}/qt5/plugins/kf5/propertiesdialog
%dir %{_libdir}/qt5/plugins/kf5/urifilters
%dir %{_libdir}/qt5/qml/QtQuick/Controls
%dir %{_libdir}/qt5/qml/QtQuick/Controls/Styles
%dir %{_libdir}/qt5/qml/org
%dir %{_libdir}/qt5/qml/org/kde
%dir %{_libdir}/qt5/qml/org/kde/kio
%dir %{_libdir}/qt5/qml/org/kde/draganddrop
%dir %{_libdir}/qt5/qml/org/kde/kconfig
%dir %{_libdir}/qt5/qml/org/kde/kcoreaddons
%dir %{_libdir}/qt5/qml/org/kde/kquickcontrols
%dir %{_libdir}/qt5/qml/org/kde/kquickcontrolsaddons
%dir %{_libdir}/qt5/qml/org/kde/kwindowsystem
%dir %{_libdir}/qt5/qml/org/kde/plasma
%dir %{_libdir}/qt5/qml/org/kde/plasma/private
%dir %{_libdir}/qt5/qml/org/kde/private
%dir %{_libdir}/qt5/qml/org/kde/private/kquickcontrols
%dir %{_libdir}/qt5/qml/org/kde/runnermodel
%dir %{_libdir}/qt5/platformqml
%dir %{_libdir}/qt5/platformqml/touch
%dir %{_libdir}/qt5/platformqml/touch/org
%dir %{_libdir}/qt5/platformqml/touch/org/kde
%dir %{_libdir}/qt5/platformqml/touch/org/kde/plasma
%dir %{_sysconfdir}/xdg/ui
%dir %{_docdir}/HTML/
%lang(af) %dir %{_docdir}/HTML/af
%lang(ca) %dir %{_docdir}/HTML/ca
%lang(cs) %dir %{_docdir}/HTML/cs
%lang(da) %dir %{_docdir}/HTML/da
%lang(de) %dir %{_docdir}/HTML/de
%lang(el) %dir %{_docdir}/HTML/el
%lang(en) %dir %{_docdir}/HTML/en
%lang(eo) %dir %{_docdir}/HTML/eo
%lang(es) %dir %{_docdir}/HTML/es
%lang(et) %dir %{_docdir}/HTML/et
%lang(fr) %dir %{_docdir}/HTML/fr
%lang(gl) %dir %{_docdir}/HTML/gl
%lang(he) %dir %{_docdir}/HTML/he
%lang(hu) %dir %{_docdir}/HTML/hu
%lang(it) %dir %{_docdir}/HTML/it
%lang(ja) %dir %{_docdir}/HTML/ja
%lang(ko) %dir %{_docdir}/HTML/ko
%lang(lt) %dir %{_docdir}/HTML/lt
%lang(nds) %dir %{_docdir}/HTML/nds
%lang(nl) %dir %{_docdir}/HTML/nl
%lang(nn) %dir %{_docdir}/HTML/nn
%lang(pl) %dir %{_docdir}/HTML/pl
%lang(pt) %dir %{_docdir}/HTML/pt
%lang(pt_BR) %dir %{_docdir}/HTML/pt_BR
%lang(ro) %dir %{_docdir}/HTML/ro
%lang(ru) %dir %{_docdir}/HTML/ru
%lang(sl) %dir %{_docdir}/HTML/sl
%lang(sr) %dir %{_docdir}/HTML/sr
%lang(sr@latin) %dir %{_docdir}/HTML/sr@latin
%lang(sv) %dir %{_docdir}/HTML/sv
%lang(tr) %dir %{_docdir}/HTML/tr
%lang(uk) %dir %{_docdir}/HTML/uk
%lang(wa) %dir %{_docdir}/HTML/wa
%lang(xh) %dir %{_docdir}/HTML/xh
%changelog
* Fri Jul 19 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-dirs.git;a=log;h=master

* Mon May 20 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 18b9709
- updated to 5.116.0

* Mon Apr 15 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a710e23
- relup

* Thu Mar 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e979580
- updated to 5.115.0

* Thu Mar 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c44e702
- Revert "- updated to 5.249.0; rel 0.1"

* Sat Feb 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4129c8c
- updated to 5.249.0; rel 0.1

* Sun Jan 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e701ace
- updated to 5.114.0

* Fri Dec 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> b17c962
- updated to 5.113.0

* Mon Nov 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 7b6d903
- updated to 5.112.0

* Thu Oct 19 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 2507286
- updated to 5.111.0

* Sun Sep 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 82dd031
- updated to 5.110.0

* Fri Aug 18 2023 Witold Filipczyk <witekfl@poczta.onet.pl> de1349f
- updated to 5.109.0; cmake -B build

* Sun Jul 09 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 3adf2cd
- updated to 5.108.0

* Sun Jun 11 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d894265
- updated to 5.107.0

* Sun May 14 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 7a392fb
- updated to 5.106.0

* Sun Apr 09 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 40f0227
- updated to 5.105.0

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b48c6b5
- rebuild against QT 5.15.9

* Mon Mar 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 0e14db6
- updated to 5.104.0

* Sun Feb 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> b2490ba
- updated to 5.103.0

* Mon Jan 16 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 73a4303
- updated to 5.102.0

* Thu Jan 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 41a2702
- rebuild against QT 5.15.8

